Bug 60393

Summary: Inconsistent parameter naming between Realm interface and implementations
Product: Tomcat 8 Reporter: Michael Osipov <1983-01-06>
Component: CatalinaAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 8.5.x-trunk   
Target Milestone: ----   
Hardware: All   
OS: All   
Attachments: Fix inconsistency between interface and implemenations

Description Michael Osipov 2016-11-20 19:06:11 UTC
the method #authenticate(GSSContext, boolean) has the boolean variable named "storeCreds", some implementations have "storeCred". It spreads inconsistently. Given that the GSSCredential is singular, the boolean variable should be too.

Attached is a patch to fix this inconsistency.
Comment 1 Michael Osipov 2016-11-20 19:07:10 UTC
Created attachment 34464 [details]
Fix inconsistency between interface and implemenations
Comment 2 Mark Thomas 2016-11-21 11:49:09 UTC
The Javadoc for org.ietf.jgss.GSSContext.getDelegCred() uses the plural. Using the plural is also a smaller change.

Fixed in:
- trunk for 9.0.0.M14 onwards
- 8.5.x for 8.5.9 onwards
- 8.0.x for 8.0.40 onwards
- 7.0.x for 7.0.74 onwards

6.0.x was not affected.
Comment 3 Michael Osipov 2016-11-21 12:49:42 UTC
That's f(In reply to Mark Thomas from comment #2)
> The Javadoc for org.ietf.jgss.GSSContext.getDelegCred() uses the plural.
> Using the plural is also a smaller change.
> 
> Fixed in:
> - trunk for 9.0.0.M14 onwards
> - 8.5.x for 8.5.9 onwards
> - 8.0.x for 8.0.40 onwards
> - 7.0.x for 7.0.74 onwards
> 
> 6.0.x was not affected.

Great, that's fine with me as long it is consistent.